Bug 237036 - comms/ncid: fix build with GCC-based architectures
Summary: comms/ncid: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vinícius Zavam
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-04-05 08:07 UTC by Piotr Kubaj
Modified: 2019-04-12 15:09 UTC (History)
2 users (show)

See Also:
egypcio: maintainer-feedback+


Attachments
patch (378 bytes, patch)
2019-04-05 08:07 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-04-05 08:07:39 UTC
Created attachment 203398 [details]
patch

This port needs USES=compiler:c11 to build on GCC architectures.

Tested on powerpc64 and amd64.
Comment 1 Vinícius Zavam freebsd_committer 2019-04-05 12:57:10 UTC
(In reply to Piotr Kubaj from comment #0)

hi Piotr,
thanks for the patch!

I'm kinda AFK but should sit and test/review/commit the proposed changes ASAP.

KR,
Comment 2 Vinícius Zavam freebsd_committer 2019-04-08 17:28:18 UTC
I need to get approval in order to commit this one
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2019-04-08 17:37:25 UTC
(In reply to Vinícius Zavam from comment #2)

I've built it on both archs, so: approved.
Comment 4 commit-hook freebsd_committer 2019-04-12 15:02:56 UTC
A commit references this bug:

Author: egypcio
Date: Fri Apr 12 15:01:52 UTC 2019
New revision: 498722
URL: https://svnweb.freebsd.org/changeset/ports/498722

Log:
  comms/ncid: fix build with GCC-based architectures

  PR:		237036
  Submitted by:	Piotr Kubaj <pkubaj % anongoth.pl>
  Approved by:	linimon (portmgr)

Changes:
  head/comms/ncid/Makefile
Comment 5 Vinícius Zavam freebsd_committer 2019-04-12 15:09:26 UTC
committed! thank you all